textures/hgb-plasmek/c
{
	qer_editorimage textures/hgb-plasmek/c.tga

	q3map_surfaceLight 64
	q3map_backSplash 12 16
	q3map_lightmapFilterRadius 0 4

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/hgb-plasmek/c.tga
		blendfunc filter
	}
}

textures/hgb-plasmek/d
{
	qer_editorimage textures/hgb-plasmek/d.tga

	q3map_surfaceLight 394
	q3map_backSplash 12 16
	q3map_lightmapFilterRadius 0 4

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/hgb-plasmek/d.tga
		blendfunc filter
	}
}

textures/hgb-plasmek/f
{
	qer_editorimage textures/hgb-plasmek/f.tga

	q3map_surfaceLight 64
	q3map_backSplash 12 16
	q3map_lightmapFilterRadius 0 4

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/hgb-plasmek/f.tga
		blendfunc filter
	}
}

textures/hgb-plasmek/g
{
	qer_editorimage textures/hgb-plasmek/g.tga

	q3map_surfaceLight 64
	q3map_backSplash 12 16
	q3map_lightmapFilterRadius 0 4

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/hgb-plasmek/g.tga
		blendfunc filter
	}
}

textures/hgb-plasmek/h
{
	qer_editorimage textures/hgb-plasmek/h.tga

	q3map_surfaceLight 64
	q3map_backSplash 12 16
	surfaceparm slick
	q3map_lightmapFilterRadius 0 4

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/hgb-plasmek/h.tga
		blendfunc filter
	}
}

textures/hgb-plasmek/i
{
	qer_editorimage textures/hgb-plasmek/i.tga

	surfaceparm nomarks
	surfaceparm noimpact

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/hgb-plasmek/i.tga
		blendfunc filter
	}
}

textures/hgb-plasmek/lava
{
	qer_editorimage textures/hgb-plasmek/lava.tga
	q3map_globaltexture

	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm nomarks
	
	q3map_surfacelight 64
	q3map_lightsubdivide 256

	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1

	{
		map textures/hgb-plasmek/lava.tga
		tcMod turb 0 .2 0 .1
		blendfunc GL_ONE GL_SRC_COLOR
	}
	{
		map textures/hgb-plasmek/lava_noise.tga
		tcMod turb 0 -0.3 0 .05
		blendfunc add
	}

}

textures/hgb-plasmek/lava_flat
{
	qer_editorimage textures/hgb-plasmek/lava.tga
	q3map_globaltexture

	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 128
	q3map_lightsubdivide 256

	tesssize 128
	cull disable
	
	{
		map textures/hgb-plasmek/lava.tga
		tcMod turb 0 .2 0 .1
		blendfunc GL_ONE GL_SRC_COLOR
	}
	{
		map textures/hgb-plasmek/lava_noise.tga
		tcMod turb 0 -0.3 0 .05
		blendfunc add
	}

}


textures/hgb-plasmek/button
{
	qer_editorimage textures/hgb-plasmek/button.tga
	qer_trans 0.5

    surfaceparm nolightmap
    surfaceparm noimpact
    surfaceparm nomarks

	surfaceparm trans
    {
        map textures/hgb-plasmek/button.tga
        blendfunc blend
    }
}

// see textures/ktotam/ktotam-blue-glass for the original shader
textures/hgb-plasmek/slick-glass
{
	qer_editorimage textures/hgb-plasmek/slick-glass.tga
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm slick
	cull none
	qer_trans 0.5

	{
		map textures/hgb-plasmek/slick-glass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.0005
		tcmod scroll .0 .0.1
		blendfunc GL_ONE GL_ONE
	}
}